-- Fuel Script V 0.2 by Sakis25
-- http://sakis25games.blogspot.com


local GUI = {}
GUI.GUI = {}
GUI.loaded = false
GUI.time = 0

local carGas = 0.14 -- 0.14 is max

local currentCar = 1
local enteredCar = false
local refillCar = false
local carspeed = 0.0

-- gas rect position
local gasx = 0.01
local gasy = 0.8
local gasw = 0.3
local gash = 0.01

function GUI.unload()
end
function GUI.init()
	GUI.loaded = true
end
function GUI.tick()
    local playerPed = PLAYER.PLAYER_PED_ID()
	local player = PLAYER.GET_PLAYER_PED(playerPed)
	local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed)
	local playerPosition = ENTITY.GET_ENTITY_COORDS(PLAYER.PLAYER_PED_ID(), false)

	if(playerExists) then
		--ENTERED CAR
		if(PED.IS_PED_IN_ANY_VEHICLE(playerPed, false)) then
			local veh = PED.GET_VEHICLE_PED_IS_IN(playerPed,true)
			local coords = ENTITY.GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS(veh, 0.0, 5.0, 0.0);
			carspeed = ENTITY.GET_ENTITY_SPEED(veh)

			if (refillCar==true) then
				if (carGas<0.14) then
					carGas = carGas+0.001
					VEHICLE.SET_VEHICLE_ENGINE_ON(veh, false,true)
				else
					refillCar=false
					carGas=0.14
					VEHICLE.SET_VEHICLE_ENGINE_ON(veh, true,true)
				end
			end
			
			if (enteredCar==false) then
			enteredCar=true

			if not (currentCar==veh) then
				carGas = math.random(6,12)/100
				currentCar=veh
				end
			end
			
			-- OUT OF GAS
			if (carGas == 0) then
			VEHICLE.SET_VEHICLE_ENGINE_ON(veh, false,true)
			end

	if( GUI.time == 0) then
		GUI.time = GAMEPLAY.GET_GAME_TIMER()
	end
	if((GAMEPLAY.GET_GAME_TIMER() - GUI.time)> 100) then
		GUI.updateGas()

	end	
	GUI.renderGUI()	
	if(not GUI.loaded ) then
		GUI.init()	 
	end

			--sound horn to refill gas
			if(PLAYER.IS_PLAYER_PRESSING_HORN(player) and carspeed<1 and refillCar==false) then
			--1
				if (coords.x>-735 and coords.x<-712 and coords.y > -945 and coords.y < -924) then
					refillCar=true
				end
			--2
				if (coords.x>-85 and coords.x<-59 and coords.y > -1767 and coords.y < -1757) then
					refillCar=true
				end
			--3
				if (coords.x>250 and coords.x<279 and coords.y > -1275 and coords.y < -1246) then
					refillCar=true
				end
			--4
				if (coords.x>732 and coords.x<830 and coords.y > -1037 and coords.y < -1019) then
					refillCar=true
				end
			--5
				if (coords.x>-2110 and coords.x<-2084 and coords.y > -333 and coords.y < -306) then
					refillCar=true
				end
			--6
				if (coords.x>1198 and coords.x<1205 and coords.y > 2651 and coords.y < 2665) then
					refillCar=true
				end
			--7
				if (coords.x>2677 and coords.x<2682 and coords.y > 3257 and coords.y < 3277) then
					refillCar=true
				end
			--8
				if (coords.x>-2566 and coords.x<-2544 and coords.y > 2319 and coords.y < 2350) then
					refillCar=true
				end
			--9
				if (coords.x>164 and coords.x<195 and coords.y > 6591 and coords.y < 6610) then
					refillCar=true
				end

				
				end
				
		else
		--EXIT CAR
		enteredCar=false
		refillCar=false
	end
	end
end

function GUI.updateGas() 
	if(carGas > 0) then
		carGas = carGas -(carspeed/500000)
		GUI.time = 0
	else
		carGas = 0
	end

end

function GUI.renderGUI()
	GRAPHICS.DRAW_RECT(gasx+(carGas/2), gasy, carGas, gash, 156, 181, 42, 255);-- draw gas bar 0x, 40y, 200width, 60height, r,g,b,a
end

return GUI